#ifndef FRAMES_HPP_INCLUDED
#define FRAMES_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include "Frame.hpp"

namespace Internal
{
    class Frames : public CacheableNode
    {
        public:
            Frames();
            Frames(const void* Obj);
            Frames(const Frames& F);
            static Class GetClass();

            std::vector<Frame> GetSkeletons() const;
            Frame GetSkeletons(std::int32_t I) const;

    };
}

#endif // FRAMES_HPP_INCLUDED
